This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 171537 - packaging: headers not in linuxthreads-devel package
packaging: headers not in linuxthreads-devel package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-22 11:54 EDT by Gene Czarcinski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-22 17:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2005-10-22 11:54:50 EDT
Description of problem:

The RELEASE-NOTES and the package documentation says that both the old pthreads
libraries and header (include) files are in the linuxthreads-devel package.

OK, the libraries are there but the header files are in glibc-headers
Comment 1 Jakub Jelinek 2005-10-22 17:39:43 EDT
That's on purpose, as on bi-arch arches only one set of headers is needed
(on x86_64 the x86_64 one) while libraries are needed for both arches.
Comment 2 Jakub Jelinek 2005-10-22 17:40:26 EDT
Plus there is no linuxthreads* in rawhide anymore...

Note You need to log in before you can comment on or make changes to this bug.